<template>
  <div :class="colorPrice">
    {{  price | currency }}
    <span v-if="withIcon">₽</span>
  </div>
</template>

<script>

export default {
  props: {
    item: {
      type: Object,
      default: () => {}
    },
    withIcon: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    price () {
      return (this.item.orderTotalAmount?.priceWithVat || this.item.totalPrice) / 100
    },
    colorPrice () {
      if (this.item.type === 'auction' && this.item.status === 'ACTIVE') {
        switch (this.item.currentState) {
          case 'WIN':
            return 'account-list__green';
          case 'LOSING':
            return 'account-list__red';
          case 'NO_BIDS':
            return 'account-list__light-grey';
          default:
            return 'account-list__price'
        }
      } else if (this.item.type === 'booking' && this.item.currentState === 'NO_BIDS') {
        return 'account-list__light-grey';
      } else {
        return 'account-list__price'
      }
    }
  }
}
</script>